All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.execution2
Class IQOlapDrillPath

    com.sas.iquery.execution2.IQOlapDrillPath

All Implemented Interfaces:
  DrillPath

    public class IQOlapDrillPath

implements DrillPath

The `IQOlapDrillPath` represents the user's drill path into an OLAP result set.

The list of current drill path's can be retrieved from the IQ result set, `ResultSetInterface`.

The drill level holds the following metadata about an tuple element and its ancestors:

- Level Information: includes the name, label, and unique name of the tuple
- Member Information: includes the name, label, and unique name of the tuple
- Dimension Information: includes the name of the tuple
- Hierarchy Information: includes the name of the tuple

Since:
  9.3

Constructor Summary
`IQOlapDrillPath(com.sas.storage.olap.LevelInterface level, com.sas.storage.olap.HierarchyInterface hierarchy, com.sas.storage.olap.DimensionInterface dimension, com.sas.storage.olap.TupleElementInterface tuple, com.sas.storage.olap.MemberInterface member)` Create a new IQ OLAP drill path object.

Method Summary
`java.lang.String` | `getDimensionLabel()` Return the dimension label for this drill path.
`java.lang.String` | `getHierarchyLabel()` Return the hierarchy label for this drill path.
`java.lang.String` | `getLevelLabel()` Return the label of this drill path's level - the label of the current `Level`.
`java.lang.String` | `getLevelName()` Return the name of this drill path's level - the name of the current `Level`.
`java.lang.String` | `getLevelUniqueName()` Return the unique name of this drill path's level - the unique name of the current `Level`.
`java.lang.String` | `getMemberLabel()` Return the label of the member's drill path.
`java.lang.String` | `getMemberName()` Return the name of the member's drill path.
`java.lang.String` | `getMemberUniqueName()` Return the unique name of the member's drill path.
`com.sas.storage.olap.TupleElementInterface` | `getTupleElement()` Return the tuple element
`boolean` | `isAllLevel()` Return true if the top level of the dimension containing the specified element is an "All" level, otherwise return false.
`java.lang.String` | `toString()`

Constructor Detail

### IQOlapDrillPath

    public IQOlapDrillPath(com.sas.storage.olap.LevelInterface level,
                           com.sas.storage.olap.HierarchyInterface hierarchy,
                           com.sas.storage.olap.DimensionInterface dimension,
                           com.sas.storage.olap.TupleElementInterface tuple,
                           com.sas.storage.olap.MemberInterface member)
                    throws com.sas.storage.olap.OLAPException

  Create a new IQ OLAP drill path object. Information about the current drill path is required, including the level, hierarchy, dimension, and the tuple element itself.

  Parameters:
    `level` - the `LevelInterface` for this tuple element
    `hierarchy` - the `HierarchyInterface` for this tuple element
    `dimension` - the `DimensionInterface` for this tuple element
    `memberInterface` - the tuple element itself
  Throws:
    `com.sas.storage.olap.OLAPException`

Method Detail

### getLevelName

    public java.lang.String getLevelName()

  Description copied from interface: `DrillPath`
  Return the name of this drill path's level - the name of the current `Level`. For example, the name of the "product line" level is "Product_Line".

  Specified by:
    `getLevelName` in interface `DrillPath`
  Returns:
    a String containing the current level name
  See Also:
    `DrillPath.getLevelName()`

### getLevelLabel

    public java.lang.String getLevelLabel()

  Description copied from interface: `DrillPath`
  Return the label of this drill path's level - the label of the current `Level`. The label is for display purposes and may be localized.

  For example, the label of the "product line" level is "Product Line".

  Specified by:
    `getLevelLabel` in interface `DrillPath`
  Returns:
    a String containing the label name
  See Also:
    `DrillPath.getLevelLabel()`

### getLevelUniqueName

    public java.lang.String getLevelUniqueName()

  Description copied from interface: `DrillPath`
  Return the unique name of this drill path's level - the unique name of the current `Level`.

  For example, the unique name of the "product line" level is "[Product].[Product_Line]".

  Specified by:
    `getLevelUniqueName` in interface `DrillPath`
  Returns:
    a String containing the unique level name
  See Also:
    `DrillPath.getLevelUniqueName()`

### getDimensionLabel

    public java.lang.String getDimensionLabel()

  Description copied from interface: `DrillPath`
  Return the dimension label for this drill path.

  For example, the label for the product dimension is "Product".

  Specified by:
    `getDimensionLabel` in interface `DrillPath`
  Returns:
    a String containing the dimension label
  See Also:
    `DrillPath.getDimensionLabel()`

### getHierarchyLabel

    public java.lang.String getHierarchyLabel()

  Description copied from interface: `DrillPath`
  Return the hierarchy label for this drill path.

  Specified by:
    `getHierarchyLabel` in interface `DrillPath`
  Returns:
    the hierarchy label
  See Also:
    `DrillPath.getHierarchyLabel()`

### isAllLevel

    public boolean isAllLevel()

  Description copied from interface: `DrillPath`
  Return true if the top level of the dimension containing the specified element is an "All" level, otherwise return false.

  Can only have if cube values and cube totals are turned on at the same time.

  Specified by:
    `isAllLevel` in interface `DrillPath`
  Returns:
    `true` if the top element of the dimension containing the specified tuple is an "All" level, otherwise return `false`.
  See Also:
    `DrillPath.isAllLevel()`

### getMemberName

    public java.lang.String getMemberName()

  Description copied from interface: `DrillPath`
  Return the name of the member's drill path.

  For example, the member name of the "Children" member is "Children".

  Specified by:
    `getMemberName` in interface `DrillPath`
  Returns:
    a String containing the member name
  See Also:
    `DrillPath.getMemberName()`

### getMemberLabel

    public java.lang.String getMemberLabel()

  Description copied from interface: `DrillPath`
  Return the label of the member's drill path. The label is for display purposes and may be localized.

  For example, the member name of the "Children" member is "Children".

  Specified by:
    `getMemberLabel` in interface `DrillPath`
  Returns:
    a String containing the member label
  See Also:
    `DrillPath.getMemberLabel()`

### getMemberUniqueName

    public java.lang.String getMemberUniqueName()

  Description copied from interface: `DrillPath`
  Return the unique name of the member's drill path.

  For example, the unique name of the "Children" member is "[Product].[All Product].[Children]".

  Specified by:
    `getMemberUniqueName` in interface `DrillPath`
  Returns:
    a String containing the unique member name
  See Also:
    `DrillPath.getMemberUniqueName()`

### getTupleElement

    public com.sas.storage.olap.TupleElementInterface getTupleElement()

  Description copied from interface: `DrillPath`
  Return the tuple element

  Specified by:
    `getTupleElement` in interface `DrillPath`
  Returns:
    return the tuple element (the crossing) for this drill path
  See Also:
    `DrillPath.getTupleElement()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.